commit:     4837cd0c2183dc5c04a6833c1faa656febfbc4ea
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 23 21:20:22 2015 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Sun Aug 23 21:22:29 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4837cd0c

x11-misc/wmakerconf: fix libX11 link and .desktop file

Fixes bug #558362 by Toralf Förster <toralf.foerster <AT> gmx.de>

Package-Manager: portage-2.2.20.1

 x11-misc/wmakerconf/Manifest                       |  2 +-
 .../wmakerconf/files/wmakerconf-2.12-desktop.patch |  8 +++
 x11-misc/wmakerconf/wmakerconf-2.12-r2.ebuild      | 57 ++++++++++++++++++++++
 3 files changed, 66 insertions(+), 1 deletion(-)

diff --git a/x11-misc/wmakerconf/Manifest b/x11-misc/wmakerconf/Manifest
index 18e2eec..f94a810 100644
--- a/x11-misc/wmakerconf/Manifest
+++ b/x11-misc/wmakerconf/Manifest
@@ -1 +1 @@
-DIST wmakerconf_2.12.tar.gz 830156 SHA256 
debfc3b2a26fd4bd2dab4a06155b786e1b36e64145012410eb0de730a79a9bb3
+DIST wmakerconf_2.12.tar.gz 830156 SHA256 
debfc3b2a26fd4bd2dab4a06155b786e1b36e64145012410eb0de730a79a9bb3 SHA512 
4289846b20667a12c729b646ce5cc9d673adc49c3c99f1afcf0bf2eb978d7a62c93104e44f38c47984f5fc7bd22a78fff89d68646701c7e763a26ec18d4ff059
 WHIRLPOOL 
545dafebc909ae029efcb6c5f3d8283eec6e96a5c9095511c1808cbac4a36dbcb4143f67d77744f7907669fa2c6f2004131cd2c9f1f4b56815dbc88f40904f46

diff --git a/x11-misc/wmakerconf/files/wmakerconf-2.12-desktop.patch 
b/x11-misc/wmakerconf/files/wmakerconf-2.12-desktop.patch
new file mode 100644
index 0000000..2277c6c
--- /dev/null
+++ b/x11-misc/wmakerconf/files/wmakerconf-2.12-desktop.patch
@@ -0,0 +1,8 @@
+--- wmakerconf.desktop.in.orig 2015-08-23 23:14:56.272180470 +0200
++++ wmakerconf.desktop.in      2015-08-23 23:15:05.446195859 +0200
+@@ -10,4 +10,4 @@
+ Icon=@prefix@/share/wmakerconf/wmakerconf.xpm
+ Terminal=false
+ Type=Application
+-Categories=GTK;Application;DesktopSettings
++Categories=GTK;DesktopSettings;

diff --git a/x11-misc/wmakerconf/wmakerconf-2.12-r2.ebuild 
b/x11-misc/wmakerconf/wmakerconf-2.12-r2.ebuild
new file mode 100644
index 0000000..5754afe
--- /dev/null
+++ b/x11-misc/wmakerconf/wmakerconf-2.12-r2.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils
+
+DESCRIPTION="X based config tool for the windowmaker X windowmanager"
+HOMEPAGE="http://wmakerconf.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN}/${P/-/_}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="imlib nls perl"
+
+RDEPEND="x11-libs/gtk+:2
+       >=x11-wm/windowmaker-0.95.2
+       imlib? ( media-libs/imlib )
+       perl? ( dev-lang/perl
+               dev-perl/HTML-Parser
+               || ( dev-perl/libwww-perl
+               www-client/lynx
+               net-misc/wget ) )"
+DEPEND="${RDEPEND}
+       nls? ( sys-devel/gettext )
+       virtual/pkgconfig"
+
+src_prepare() {
+       epatch "${FILESDIR}"/${P}-wmaker-0.95_support.patch
+       epatch "${FILESDIR}"/${P}-desktop.patch
+
+       sed -e "/^LIBS =/s/$/ -lX11/" -i src/Makefile.in || die
+}
+
+src_configure() {
+       local myconf
+       use imlib || myconf="--disable-imlibtest"
+
+       econf \
+               $(use_enable perl upgrade) \
+               $(use_enable nls) \
+               ${myconf}
+}
+
+src_install() {
+       emake DESTDIR="${D}" gnulocaledir="${ED}/usr/share/locale" install
+       dodoc AUTHORS ChangeLog MANUAL NEWS README TODO
+       doman man/*.1
+
+       rm -f 
"${ED}"/usr/share/${PN}/{AUTHORS,README,COPYING,NEWS,MANUAL,ABOUT-NLS,NLS-TEAM1,ChangeLog}
+}
+
+pkg_postinst() {
+       elog "New features added with WindowMaker >= 0.95 will not be available 
in wmakerconf"
+       elog "WPrefs is the recommended configuration tool"
+}

Reply via email to